﻿<Window x:Class="CMS.Views.LoginCollectionView"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"  
        xmlns:dxe="http://schemas.devexpress.com/winfx/2008/xaml/editors"
        xmlns:dxmvvm="http://schemas.devexpress.com/winfx/2008/xaml/mvvm"
        mc:Ignorable="d"
        BorderBrush="#FF222831"
        xmlns:viewModel="clr-namespace:CMS.ViewModels"
        xmlns:dx="http://schemas.devexpress.com/winfx/2008/xaml/core"
        xmlns:local="clr-namespace:CMS.Views"
        WindowStartupLocation="CenterScreen" SizeToContent="WidthAndHeight" SnapsToDevicePixels="True"
        AllowsTransparency="True" WindowStyle="None" ResizeMode="NoResize"
        DataContext="{dxmvvm:ViewModelSource viewModel:LoginCollectionViewModel}">
    <Window.Resources>
        <Style TargetType="dxe:TextEdit" x:Key="Login1">
            <Setter Property="BorderTemplate">
                <Setter.Value>
                    <ControlTemplate TargetType="{x:Type ContentControl}">
                        <Border x:Name="border"
                        Background="#FF222831"
                        BorderBrush="#FF048998"
                        BorderThickness="2">
                            <ContentPresenter Margin="0,0,-1,0" />
                        </Border>
                    </ControlTemplate>
                </Setter.Value>
            </Setter>
            <Setter Property="NullText" Value="Username"/>
            <Setter Property="NullTextForeground" Value="LightBlue"/>
            <Setter Property="VerticalAlignment" Value="Center"/>
            <Setter Property="Foreground" Value="#FF048998"/>
        </Style>
        <Style TargetType="dxe:PasswordBoxEdit" x:Key="Login2">
            <Setter Property="BorderTemplate">
                <Setter.Value>
                    <ControlTemplate TargetType="{x:Type ContentControl}">
                        <Border x:Name="border"
                        Background="#FF222831"
                        BorderBrush="#FF048998"
                        BorderThickness="2">
                            <ContentPresenter Margin="0,0,-1,0" />
                        </Border>
                    </ControlTemplate>
                </Setter.Value>
            </Setter>
            <Setter Property="NullText" Value="Password"/>
            <Setter Property="NullTextForeground" Value="LightBlue"/>
            <Setter Property="VerticalAlignment" Value="Center"/>
            <Setter Property="Foreground" Value="#FF048998"/>
        </Style>
        <Style x:Key="WindowActionButton" TargetType="Button">
            <Setter Property="Foreground" Value="{DynamicResource MainBlackFontColor}"/>
            <Setter Property="FontFamily" Value="{DynamicResource MetroFontSemiBold}"/>
            <Setter Property="FontSize" Value="12"/>
            <Setter Property="FontWeight" Value="SemiBold"/>
            <Setter Property="BorderThickness" Value="0"/>
            <Setter Property="OverridesDefaultStyle" Value="True"/>
            <Setter Property="Margin" Value="0"/>
            <Setter Property="VerticalAlignment" Value="Top"></Setter>
            <Setter Property="Background" Value="Transparent" />
            <Setter Property="Template">
                <Setter.Value>
                    <ControlTemplate TargetType="{x:Type Button}">
                        <Grid x:Name="Grid">
                            <Border x:Name="Border" Background="{TemplateBinding Background}" BorderBrush="{TemplateBinding BorderBrush}" BorderThickness="{TemplateBinding BorderThickness}" Padding="{TemplateBinding Padding}"/>
                            <ContentPresenter HorizontalAlignment="Center" Margin="-10" VerticalAlignment="Center" RecognizesAccessKey="True"/>
                        </Grid>
                        <ControlTemplate.Triggers>
                            <Trigger Property="IsMouseOver" Value="true">
                                <Setter Property="Background" Value="{DynamicResource ControlHeaderBackgroundPressdBrush}"></Setter>
                                <Setter Property="Foreground" Value="{DynamicResource ControlHeaderForegroundPressdBrush}"></Setter>
                                <Setter  Property="Effect">
                                    <Setter.Value>
                                        <DropShadowEffect Color="White" BlurRadius="10" Opacity="500" ShadowDepth="0" RenderingBias="Performance"></DropShadowEffect>
                                    </Setter.Value>
                                </Setter>
                            </Trigger>
                            <Trigger Property="IsPressed" Value="true">
                                <Setter Property="Background" Value="Transparent"></Setter>
                                <Setter Property="Foreground" Value="{DynamicResource ControlHeaderForegroundPressdBrush}"></Setter>
                                <Setter  Property="Effect">
                                    <Setter.Value>
                                        <DropShadowEffect Color="White" BlurRadius="10" Opacity="500" ShadowDepth="0" RenderingBias="Performance"></DropShadowEffect>
                                    </Setter.Value>
                                </Setter>
                            </Trigger>
                        </ControlTemplate.Triggers>
                    </ControlTemplate>
                </Setter.Value>
            </Setter>
        </Style>

        <Style x:Key="WindowActionButtonClose" TargetType="Button">
            <Setter Property="Foreground" Value="{DynamicResource MainBlackFontColor}"/>
            <Setter Property="FontFamily" Value="{DynamicResource MetroFontSemiBold}"/>
            <Setter Property="FontSize" Value="12"/>
            <Setter Property="FontWeight" Value="SemiBold"/>
            <Setter Property="BorderThickness" Value="0"/>
            <Setter Property="OverridesDefaultStyle" Value="True"/>
            <Setter Property="Margin" Value="0"/>
            <Setter Property="VerticalAlignment" Value="Top"></Setter>
            <Setter Property="Background" Value="Transparent" />
            <Setter Property="Template">
                <Setter.Value>
                    <ControlTemplate TargetType="{x:Type Button}">
                        <Grid x:Name="Grid">
                            <Border x:Name="Border" Background="{TemplateBinding Background}" BorderBrush="{TemplateBinding BorderBrush}" BorderThickness="{TemplateBinding BorderThickness}" Padding="{TemplateBinding Padding}"/>
                            <ContentPresenter HorizontalAlignment="Center" Margin="-10" VerticalAlignment="Center" RecognizesAccessKey="True"/>
                        </Grid>
                        <ControlTemplate.Triggers>
                            <Trigger Property="IsMouseOver" Value="true">
                                <!-- Only two difference to WindwosActionButton -->
                                <Setter Property="Background" Value="red"></Setter>
                                <Setter Property="Foreground" Value="White"></Setter>
                                <Setter  Property="Effect">
                                    <Setter.Value>
                                        <DropShadowEffect Color="White" BlurRadius="10" Opacity="500" ShadowDepth="0" RenderingBias="Performance"></DropShadowEffect>
                                    </Setter.Value>
                                </Setter>
                            </Trigger>
                            <Trigger Property="IsPressed" Value="true">
                                <Setter Property="Background" Value="Transparent"></Setter>
                                <Setter Property="Foreground" Value="{DynamicResource ControlHeaderForegroundPressdBrush}"></Setter>
                                <Setter  Property="Effect">
                                    <Setter.Value>
                                        <DropShadowEffect Color="White" BlurRadius="10" Opacity="500" ShadowDepth="0" RenderingBias="Performance"></DropShadowEffect>
                                    </Setter.Value>
                                </Setter>
                            </Trigger>
                        </ControlTemplate.Triggers>
                    </ControlTemplate>
                </Setter.Value>
            </Setter>
        </Style>



        <Style TargetType="Button" x:Key="LoginButton">
            <Setter Property="Foreground"
                    Value="#FFFFFFFF"/>
            <Setter Property="BorderBrush"
                    Value="#FF2B579A"/>
            <Setter Property="BorderThickness"
                    Value="1"/>
            <Setter Property="MinHeight"
                    Value="28" />
            <Setter Property="MinWidth"
                    Value="100" />
            <Setter Property="Background"
                    Value="#FF048998"/>
            <Setter Property="HorizontalAlignment"
                    Value="Center"/>
            <Setter Property="VerticalAlignment"
                    Value="Center"/>
            <Setter Property="FontFamily"
                    Value="Segoe UI"/>
            <Setter Property="Template">
                <Setter.Value>
                    <ControlTemplate TargetType="{x:Type Button}">
                        <Grid>
                            <Border x:Name="Background"
                                    BorderBrush="{TemplateBinding BorderBrush}"
                                    BorderThickness="{TemplateBinding BorderThickness}"
                                    Background="{TemplateBinding Background}" />
                            <Rectangle x:Name="DisabledVisualElement"
                                       Fill="{DynamicResource ControlsDisabledBrush}"
                                       IsHitTestVisible="false"
                                       Opacity="0" />
                            <ContentPresenter x:Name="contentPresenter"
                                              HorizontalAlignment="{TemplateBinding HorizontalContentAlignment}"
                                              VerticalAlignment="{TemplateBinding VerticalContentAlignment}"
                                              OpacityMask="{x:Null}"/>
                        </Grid>
                        <ControlTemplate.Triggers>
                            <Trigger Property="IsMouseOver"
                                     Value="True">
                                <Setter Property="Background"
                                        Value="#FF048998"/>
                            </Trigger>
                            <Trigger Property="IsPressed"
                                     Value="True">
                                <Setter Property="Background"
                                        Value="#FF0489B7"/>
                            </Trigger>
                        </ControlTemplate.Triggers>
                    </ControlTemplate>
                </Setter.Value>
            </Setter>
        </Style>
    </Window.Resources>
    <Window.InputBindings>
        <KeyBinding Command="{Binding LoginCommand}" Gesture="Enter"/>
    </Window.InputBindings>
    <dxmvvm:Interaction.Behaviors>
        <dx:DXSplashScreenService x:Name="SplashScreenService" SplashScreenType="local:SplashScreenView" ShowSplashScreenOnLoading="True"  FadeOutDuration="0:0:1.0"/>
        <dx:DXMessageBoxService />
    </dxmvvm:Interaction.Behaviors>
    <Grid Width="300" Height="400" Background="#FF222831">
        <Grid.RowDefinitions>
            <RowDefinition Height="48" />
            <RowDefinition Height="1" />
            <RowDefinition/>
        </Grid.RowDefinitions>
        <Grid Grid.Row="0" Height="30">
            <dx:DXVirtualizingStackPanel Orientation="Horizontal" HorizontalAlignment="Left" VerticalAlignment="Center" Margin="8,0,0,0" Height="30">

                <Image Source="pack://application:,,,/CMS;component/Images/Modules/Common/icon.ico" Width="22" Height="22" Margin="10,0,12,0" Stretch="Fill" HorizontalAlignment="Left" VerticalAlignment="Center"  />
                <TextBlock Foreground="LightBlue" Text="Login" FontSize="20" Margin="8,2,0,0" FontWeight="Normal" HorizontalAlignment="Center" VerticalAlignment="Center" FontFamily="Segoe WP" />
            </dx:DXVirtualizingStackPanel>
            <Thumb Focusable="False" Opacity="0" Background="Transparent" Foreground="{x:Null}" DragDelta="Thumb_OnDragDelta"/>
            <dx:DXVirtualizingStackPanel Orientation="Horizontal" VerticalAlignment="Center" HorizontalAlignment="Right" Margin="0,0,8,0">
                <Button Focusable="False" ToolTip="Minimize" Width="32" Height="28" Style="{StaticResource WindowActionButton}" Click="BtnActionMinimize_OnClick">
                    <Rectangle Fill="{Binding Foreground, RelativeSource={RelativeSource Mode=FindAncestor, AncestorType=Button}}" Margin="0,16,1,2" Width="9" Height="2" VerticalAlignment="Bottom" d:LayoutOverrides="Height"/>
                </Button>
                <Button Focusable="False" ToolTip="Close" Width="32" Height="28" Style="{StaticResource WindowActionButtonClose}" Click="btnActionClose_Click">
                    <Path Width="10" Height="10" Stretch="Fill"  Fill="{Binding Foreground, RelativeSource={RelativeSource Mode=FindAncestor, AncestorType=Button}}" Data="F1 M 26.9166,22.1667L 37.9999,33.25L 49.0832,22.1668L 53.8332,26.9168L 42.7499,38L 53.8332,49.0834L 49.0833,53.8334L 37.9999,42.75L 26.9166,53.8334L 22.1666,49.0833L 33.25,38L 22.1667,26.9167L 26.9166,22.1667 Z "/>
                </Button>
            </dx:DXVirtualizingStackPanel>
        </Grid>
        <Grid Grid.Row="1" Background="#FF048998"/>
        <Grid Grid.Row="2" Name="LocalLoginGrid" Visibility="Visible"  HorizontalAlignment="Center">
            <dx:DXVirtualizingStackPanel Orientation="Vertical" HorizontalAlignment="Center">

                <Image Focusable="False" Source="pack://application:,,,/CMS;component/Images/Modules/Common/icon.png" Height="84" Width="84" Margin="0,20,0,-10" />

                <dxe:TextEdit x:Name="usernametxt" HorizontalContentAlignment="Center" TabIndex="0" Style="{StaticResource Login1}" EditValue="{Binding UserName,UpdateSourceTrigger=PropertyChanged}" FontSize="16" Margin="0,40,0,0" Height="35"  />
                <dxe:PasswordBoxEdit x:Name="pass"  TabIndex="1" HorizontalContentAlignment="Center" Style="{StaticResource Login2}" EditValue="{Binding PassWord,UpdateSourceTrigger=PropertyChanged}" FontSize="16" Margin="0,20,0,0" Height="36" />
                <Button Focusable="False" Command="{Binding LoginCommand}" Style="{StaticResource LoginButton}" Name="LocalLoginButton" Content="Login" Margin="0,40,0,0"  Width="220" Height="36"  />
            </dx:DXVirtualizingStackPanel>
        </Grid>
    </Grid>
</Window>
